aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.GetUserPolicy

Synopsis

- data GetUserPolicy = GetUserPolicy {
  - gupPolicyName :: Text
  - gupUserName :: Text
  }
- data GetUserPolicyResponse = GetUserPolicyResponse {
  - guprPolicyDocument :: Text
  - guprPolicyName :: Text
  - guprUserName :: Text
  }

# Documentation

data GetUserPolicy #

Retreives the specified policy document for the specified user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_GetUserPolicy.html

Constructors

GetUserPolicy |

Fields

- gupPolicyName :: Text

  Name of the policy.

- gupUserName :: Text

  Name of the user with whom the policy is associated.

#### Instances

Instances details

SignQuery GetUserPolicy # |

Instance details

Defined in Aws.Iam.Commands.GetUserPolicy

Associated Types

type ServiceConfiguration GetUserPolicy |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type ServiceConfiguration GetUserPolicy = IamConfiguration

Methods

signQuery :: GetUserPolicy -> ServiceConfiguration GetUserPolicy queryType -> SignatureData -> SignedQuery #

Show GetUserPolicy # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy Methods showsPrec :: Int -> GetUserPolicy -> ShowS # show :: GetUserPolicy -> String # showList :: [GetUserPolicy] -> ShowS #
Eq GetUserPolicy # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy Methods (==) :: GetUserPolicy -> GetUserPolicy -> Bool # (/=) :: GetUserPolicy -> GetUserPolicy -> Bool #
Ord GetUserPolicy # |

Instance details

Defined in Aws.Iam.Commands.GetUserPolicy

Methods

compare :: GetUserPolicy -> GetUserPolicy -> Ordering #

(<) :: GetUserPolicy -> GetUserPolicy -> Bool #

(<=) :: GetUserPolicy -> GetUserPolicy -> Bool #

(>) :: GetUserPolicy -> GetUserPolicy -> Bool #

(>=) :: GetUserPolicy -> GetUserPolicy -> Bool #

max :: GetUserPolicy -> GetUserPolicy -> GetUserPolicy #

min :: GetUserPolicy -> GetUserPolicy -> GetUserPolicy #

ResponseConsumer GetUserPolicy GetUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.GetUserPolicy

Associated Types

type ResponseMetadata GetUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type ResponseMetadata GetUserPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> GetUserPolicy -> IORef (ResponseMetadata GetUserPolicyResponse) -> HTTPResponseConsumer GetUserPolicyResponse #

Transaction GetUserPolicy GetUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy
type ServiceConfiguration GetUserPolicy # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type ServiceConfiguration GetUserPolicy = IamConfiguration

data GetUserPolicyResponse #

Constructors

GetUserPolicyResponse |

Fields

- guprPolicyDocument :: Text

  The policy document.

- guprPolicyName :: Text

  Name of the policy.

- guprUserName :: Text

  Name of the user with whom the policy is associated.

#### Instances

Instances details

AsMemoryResponse GetUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.GetUserPolicy

Associated Types

type MemoryResponse GetUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type MemoryResponse GetUserPolicyResponse = GetUserPolicyResponse

Methods

loadToMemory :: GetUserPolicyResponse -> ResourceT IO (MemoryResponse GetUserPolicyResponse) #

Show GetUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy Methods showsPrec :: Int -> GetUserPolicyResponse -> ShowS # show :: GetUserPolicyResponse -> String # showList :: [GetUserPolicyResponse] -> ShowS #
Eq GetUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy Methods (==) :: GetUserPolicyResponse -> GetUserPolicyResponse -> Bool # (/=) :: GetUserPolicyResponse -> GetUserPolicyResponse -> Bool #
Ord GetUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.GetUserPolicy

Methods

compare :: GetUserPolicyResponse -> GetUserPolicyResponse -> Ordering #

(<) :: GetUserPolicyResponse -> GetUserPolicyResponse -> Bool #

(<=) :: GetUserPolicyResponse -> GetUserPolicyResponse -> Bool #

(>) :: GetUserPolicyResponse -> GetUserPolicyResponse -> Bool #

(>=) :: GetUserPolicyResponse -> GetUserPolicyResponse -> Bool #

max :: GetUserPolicyResponse -> GetUserPolicyResponse -> GetUserPolicyResponse #

min :: GetUserPolicyResponse -> GetUserPolicyResponse -> GetUserPolicyResponse #

ResponseConsumer GetUserPolicy GetUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.GetUserPolicy

Associated Types

type ResponseMetadata GetUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type ResponseMetadata GetUserPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> GetUserPolicy -> IORef (ResponseMetadata GetUserPolicyResponse) -> HTTPResponseConsumer GetUserPolicyResponse #

Transaction GetUserPolicy GetUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy
type MemoryResponse GetUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type MemoryResponse GetUserPolicyResponse = GetUserPolicyResponse
type ResponseMetadata GetUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type ResponseMetadata GetUserPolicyResponse = IamMetadata